/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Moneda;
import com.rjconsultores.ventaboletos.entidad.TipoCambioCiudad;
import com.rjconsultores.ventaboletos.entidad.TipoCambioCtrl;
import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.util.Date;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderTipoCambioCtrl implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        TipoCambioCtrl p = (TipoCambioCtrl) o;

        Listcell lc = new Listcell();
        lc = new Listcell(p.getTipocambioctrlId().toString());
        lc.setParent(lstm);

        BigDecimal importe = p.getImportecambio();
        if (importe != null) {
            lc = new Listcell(importe.setScale(2).toString());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        SimpleDateFormat format = new SimpleDateFormat("dd/MM/yyyy HH:mm");
        Date data = p.getFecaplicacion();
        if (data != null) {
            lc = new Listcell(format.format(data));
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Moneda monedaOrigen = p.getMonedaOrigen();
        if (monedaOrigen != null) {
            lc = new Listcell(monedaOrigen.getDescmoneda());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Moneda monedaDestino = p.getMonedaDestino();
        if (monedaDestino != null) {
            lc = new Listcell(monedaDestino.getDescmoneda());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);


        StringBuilder sb = new StringBuilder();
        for (TipoCambioCiudad tc : p.getTipoCambioCiudadList()) {
            sb.append(tc.getCiudad().getNombciudad());
            break;
        }
        lc = new Listcell(sb.toString());
        lc.setParent(lstm);

        lstm.setAttribute("data", p);
    }
}
